LibreOffice: SSOManagerFactory Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
List of all members
SSOManagerFactory Service Referencepublished

represents a starting point for Single Sign-on interactions. More...

Inheritance diagram for SSOManagerFactory:

## Additional Inherited Members
Public Member Functions inherited from XSSOManagerFactory
XSSOManager | getSSOManager ()
| provides a XSSOManager to be used in subsequent security context creation.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

represents a starting point for Single Sign-on interactions.

The Single Sign-on ( SSO ) APIs provide UNO based access to underlying SSO implementations ( e.g. Kerberos ). The aim of the SSO APIs is to enable authentication ( possibly mutual ) between a client ( source or initiator ) and a network service ( target or acceptor ). This is achieved via. the creation and processing of security tokens sent between the two parties. The steps which should be followed to successfully use the SSO APIs are as follows:

- Create an XSSOManagerFactory instance
- Use this factory to create/retrieve an XSSOManager instance.
- Depending on whether your code is acting as SSO source or target, you should use the XSSOManager instance to create an initiator security context, XSSOInitiatorContext or an acceptor security context, XSSOAcceptorContext respectively.
- On the initiator side, use the previously created context to process security tokens received from the acceptor side and to create security tokens to send to the acceptor side. On the acceptor side, use the previously created context to process security tokens received from the initiator side and to create security tokens to send to the initiator side.

The interface supports the creation of XSSOManager instances which can subsequently be used to create security contexts.

Since
  OOo 1.1.2

The documentation for this service was generated from the following file:

- com/sun/star/auth/SSOManagerFactory.idl